;Tip1232A.LSP:    ENTLAST.LSP    Select Entities    (c)1996, Travis Knapp

(defun entlaerr (s)
   (if (/= s "Function cancelled")  
      (princ (strcat "\nError: " s)) 
   )
   (setq *error* olderr)   
   (princ)
)

(defun c:entlasel (/ i x x1 llst)
(setq llst (list (cdr (assoc 2 (tblnext "LAYER" T)))))
  (setq i -1)
  (WHILE (= i -1)
  (SETQ X (list (setq x1 (cdr (assoc 2 (tblnext "LAYER" ))))))
  (if (= x1 nil)
  (setq i 0)
  (setq llst (append llst x))
    ))
(setq llst (acad_strlsort llst))
(dcl_els)
(princ));end entlasel        

(defun dcl_els (/ els ok)
(setq olderr  *error*   
         *error* entlaerr)
(setq els (load_dialog "entlasel"))
(if (not (new_dialog "entlasel" els)) (exit))
  (start_list "table" 3)
  (mapcar 'add_list llst)
  (end_list)
  (mode_tile "table" 2)
  (action_tile "table" "(setq pickl $value)")
  (action_tile "accept" "(do_select)(done_dialog 1)" )
  (action_tile "cancel" "(done_dialog 0)")
  (setq ok (start_dialog))
  (unload_dialog els)

(cond
((= ok 1)
(SETQ SS1 NIL)
(if (and (/= picke "") (/= layers ""))
(setq ss1 (ssget (list (cons 0 picke) (cons 8 layers)))))

(if (and (/= picke "") (= layers ""))
(setq ss1 (ssget (list (cons 0 picke)))))

(if (and (/= layers "") (= picke ""))
(setq ss1 (ssget (list (cons 8 layers)))))

(if (or (= ss1 nil) (= ss1 ""))
    (prompt "                 Selection not Found ....")
    (prompt "                 Use <P>revious in next Command to use Selection ....")
);end if
))

(setq *error* olderr)   
(princ)
);end DCL_els  

(defun do_select (/)
    (setq picke "")
    (if (= (get_tile "arc") "1")
    (setq pa "arc,")(setq pa ""))
    (if (= (get_tile "circle") "1")
    (setq pc "circle,")(setq pc ""))
    (if (= (get_tile "insert") "1")
    (setq pin "insert,")(setq pin ""))
    (if (= (get_tile "line") "1")
    (setq pl "line,")(setq pl ""))
    (if (= (get_tile "polyline") "1")
    (setq py "polyline,")(setq py ""))
    (if (= (get_tile "point") "1")
    (setq pp "point,")(setq pp ""))
    (if (= (get_tile "solid") "1")
    (setq ps "solid,")(setq ps ""))
    (if (= (get_tile "text") "1")
    (setq pt "text,")(setq pt ""))

(setq picke (strcat pa pc pin pl py pp ps pt))
(setq layers "")

(cond
 ((/= pickl nil)
        (while (> (strlen pickl) 0)
         (setq lay (read pickl))
         (setq lyr (nth lay llst))
         (setq lay (rtos lay 2 0))
         (setq layers (strcat layers lyr ","))
         (setq num (+ (strlen lay) 2))
         (setq pickl (substr pickl num))
         );end while
 ));end cond
);end do_select

(princ);end entlasel.lsp
