;Tip1239.LSP:     LAYPICK.LSP     Layer Utilities     (C)1996, Don J. Pool

********* TURN OFF A LAYER BY PICK ***************************************
(defun C:LF (/ lff)
         (setq lff (car (entsel "Pick an object on the desired layer:")))
         (if lff (progn
             (setq lff (entget lff))
             (setq loff (cdr (assoc 8 lff)))
             (command "LAYER" "off" loff "")(terpri)
(princ)
        (princ name)(princ " !  You Turned OFF Layer:....")(princ loff)
        (terpri)
     ))
 )
********* FREEZE A LAYER BY PICK ***************************************
(defun C:LZ (/ lfz)
         (setq lfz (car (entsel "Pick an object on the desired layer:")))
         (if lfz (progn
             (setq lfz (entget lfz))
             (setq lfrz (cdr (assoc 8 lfz)))
             (command "LAYER" "freeze" lfrz "")(terpri)
(princ)
        (princ name)(princ " !  You FROZE Layer:....")(princ lfrz)
        (terpri)
     ))
 )
********* SET A LAYER BY PICK ***************************************
(defun C:LS (/ lst)
         (setq lst (car (entsel "Pick an object on the desired layer:")))
         (if lst (progn
             (setq lst (entget lst))
             (setq lset (cdr (assoc 8 lst)))
             (command "LAYER" "set" lset "")(terpri)
(princ)
        (princ name)(princ " !  You Set the CURRENT Layer to:....")(princ lset)
        (terpri)
     ))
 )
*********** LOCKS LAYER ZERO *****************************************
(defun c:L0 nil (command "layer")
                (command "lock")
                (command "0")
                (command "")
                ()(terpri)
                (princ "Layer 0 Locked by: ")(princ name)
        (terpri)
)
********* LOCK A LAYER BY PICK ***************************************
(defun C:LK (/ lay)
         (setq lay (car (entsel "Pick an object on the desired layer:")))
         (if lay (progn
             (setq lay (entget lay))
             (setq layn (cdr (assoc 8 lay)))
             (command "LAYER" "LO" layn "")(terpri)
(princ)
        (princ name)(princ " !  You Locked Layer:....")(princ layn)
        (terpri)
     ))
 )
********** UNLOCK A LAYER BY PICK *************************************
(defun C:LU (/ lun)
         (setq lun (car (entsel "Pick an object on the desired layer:")))
         (if lun (progn
             (setq lun (entget lun))
             (setq lunl (cdr (assoc 8 lun)))
             (command "LAYER" "UN" lunl "")(terpri)
(princ)
        (princ name)(princ " !  You Unlocked Layer:....")(princ lunl)
        (terpri)
     ))
 )
*********** UNLOCKS LAYER ZERO *****************************************
(defun c:U0 nil (command "layer")
                (command "unlock")
                (command "0")
                (command "")
                ()(terpri)
                (princ "Layer 0 Unlocked by: ")(princ name)
        (terpri)
)
(princ "\nLAYPICK Utilities Loaded.....")
(princ "\nTo start type: LF, LZ, LS, L0, LK, LU, or U0")
(terpri)
